/*
Copyright (C) 2005 StrmnNrmn
Copyright (C) 2003 Rice1964

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#ifndef POLYCLIPPER_H_
#define POLYCLIPPER_H_

struct SClipVertex
{
	float	x, y, z, rhw;
	u8		r, g, b, a;

	u32		specular;

	static const u32 NUM_TEX_COORDS = 1;
	struct
	{
		float	u, v;
	} tcoord[NUM_TEX_COORDS];
};


extern SClipVertex		g_clippedVtxBuffer[1000];
extern u32				g_clippedVtxCount;


void ClipVertexes( /*const */SClipVertex * p_vtx_buffer, u32 num_vertices, bool z_cmp, bool fog_enabled );


#endif // POLYCLIPPER_H_
