/*

  Copyright (C) 2003 StrmnNrmn

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include <stdarg.h>
#include <stdio.h>
#include <string.h>

#ifndef NULL
#ifdef  __cplusplus
#define NULL    0
#else
#define NULL    ((void *)0)
#endif
#endif

#ifdef DAEDALUS_PSP

#define __cdecl        //No meaning on the PSP __attribute__((cdecl))
#define __fastcall     //No meaning on the PSP __attribute__((fastcall))
#define __stdcall      //No meaning on the PSP __attribute__((stdcall))

#endif

typedef char TCHAR;

#define DAEDALUS_ASSERT( e, msg )		{}
#define DAEDALUS_ASSERT_Q( e )			{}
#define DAEDALUS_ASSERTMSG( msg )		{}

//
// This static assert is bastardised from Boost:
// http://www.boost.org/boost/static_assert.hpp
//  (C) Copyright John Maddock 2000.
//  Use, modification and distribution are subject to the 
//  Boost Software License, Version 1.0. (See accompanying file 
//  LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
//  See http://www.boost.org/libs/static_assert for documentation.
//
template <bool> struct STATIC_ASSERTION_FAILURE;
template <> struct STATIC_ASSERTION_FAILURE<true>{};
template<int x> struct static_assert_test{};

#define DAEDALUS_STATIC_ASSERT( x )								\
   typedef static_assert_test<sizeof(STATIC_ASSERTION_FAILURE< (bool)( x ) >)>	static_assert_typedef_##__COUNTER__

#include "DaedalusTypes.h"

